﻿using System;
using C1.Blazor.Core;
using C1.Blazor.Grid;
using Microsoft.AspNetCore.Components;
using Microsoft.JSInterop;

namespace ComponentOneBlazorIssue.Controls
{
	public class CustomGridCellFactory : GridCellFactory
    {
        private ILogger _logger;

        [Inject]
        IJSRuntime JSRuntime { get; set; }
        public CustomGridCellFactory(ILogger logger)
        {
            _logger = logger;
        }

        public override void PrepareCellStyle(GridCellType cellType, GridCellRange range, C1Style style, C1Thickness internalBorders)
        {

            _logger.LogInformation($"PrepareCellStyle: Column: {range.Column}, Row: {range.Row}");
            base.PrepareCellStyle(cellType, range, style, internalBorders);
            style.BackgroundColor = C1Color.LightCoral;

           
        }
    }
}

